package org.rcisoft.business.device.report.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.device.report.entity.TotalData;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * Created by JiChao on 2018/9/3.
 */
@Repository
public interface TotalDataRepository extends Mapper<TotalData> {

    @Select("<script>select * from total_data where PRO_ID=#{proId} and tm between #{start} and #{end} order by tm asc</script>")
    @ResultMap("totalData")
    List<TotalData> selectTotalData(@Param("proId") String proId, @Param("start") String start, @Param("end") String end);

}
