package org.rcisoft.business.device.report.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;

/**
 * Created by JiChao on 2018/5/3.
 * 原始数据 + 传感器数据 + 表具数据
 */
@Entity
@Data//不用添加setter getter方法
@NoArgsConstructor//提供一个无参构造
@AllArgsConstructor//提供一个全参构造
public class Original {

    //设备num
    private String devNum;
    //时间
    private String tm;
    //设备参数集
    private String originalStr;
    //传感器参数集
    private String sensorJson;

    //用电量
    private String elec;
    //用气量
    private String gas;

}
