package org.rcisoft.business.device.report.service;

import org.rcisoft.business.device.report.entity.Variable;

import java.util.List;

/**
 * Created by JiChao on 2018/8/31.
 */
public interface VariableService {

    /**
     * 批量新增变量
     * @param list
     * @return
     */
    Integer addVariable(List<Variable> list, String formulaId, String proId);

    /**
     * 根据公式id删除所有变量
     * @param formulaId
     * @return
     */
    Integer deleteVariable(String formulaId);

    /**
     * 根据公式id查找所有变量
     * @param formulaId
     * @return
     */
    List<Variable> selectVariable(String formulaId);

    /**
     * 根据公式ids查找所有变量
     * @param ids
     * @return
     */
    List<Variable> selectVariables(String[] ids);

}
