package org.rcisoft.business.mainte.adaptive.task;

import org.rcisoft.business.mainte.adaptive.service.AdaptiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by JiChao on 2018/4/28.
 */
@Component
public class AdaptiveTask {

    @Autowired
    private AdaptiveService adaptiveServiceImpl;

    /**
     * 定时获得天气
     * 每小时第53分执行一次
     */
    @Scheduled(cron = "0 53 * * * ?")
    public void temperature () {
        adaptiveServiceImpl.temperature();
    }

}
