package org.rcisoft.business.mainte.energyplan.controller;

import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.mainte.energyplan.service.BusPushRecordService;
import org.rcisoft.core.constant.MessageConstant;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by JiChao on 2018/6/19.
 */
@RestController
@RequestMapping("buspushrecord")
public class BusPushRecordController {

    @Autowired
    private BusPushRecordService busPushRecordServiceImpl;

    @ApiOperation(value="查询所有推送信息", notes="查询所有推送信息")
    @RequestMapping(value = "/queryAll")
    public Result queryAll(@RequestParam String proId) {
        return Result.builder(new PersistModel(1), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, busPushRecordServiceImpl.queryAll(proId));
    }

//    @ApiOperation(value="新增推送", notes="新增推送")
//    @PostMapping(value = "/add")
//    public Result add(BusPushRecord busPushRecord) {
//        Integer result = busPushRecordServiceImpl.add(busPushRecord);
//        return Result.builder(new PersistModel(result), MessageConstant.MESSAGE_ALERT_SUCCESS, MessageConstant.MESSAGE_ALERT_ERROR, result);
//    }

}
