package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.manage.entity.BusLoginImg;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BusLoginImgRepository extends BaseMapper<BusLoginImg> {
    /**
     * 查询登录页背景图片列表
     * @return
     */
    @Select("<script>select * from bus_login_img </script>")
    List<Map<String,Object>> queryLoginImgList();
}
