package org.rcisoft.business.manage.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * Created by JiChao on 2018/9/25.
 * 固定参数
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_fixed_param")
public class BusFixedParam {

    @Id
    private String id;

    private String devTpId;

    private String paramCode;

    private String paramNm;

    private String paramUnit;

    private BigDecimal paramValue;

    private String proId;

}
