package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusFixedParam;
import org.rcisoft.business.manage.vo.BusFixedParamVo;

import java.util.List;
import java.util.Map;

/**
 * Created by JiChao on 2018/9/25.
 */
public interface BusFixedParamService {

    /**
     * 新增
     * @param busFixedParamVo
     * @return
     */
    Integer save(BusFixedParamVo busFixedParamVo);

    /**
     * 更新：先删除再更新
     * @param busFixedParamVo
     * @return
     */
    Integer update(BusFixedParamVo busFixedParamVo);

    /**
     * 删除
     * @param devTpId
     * @param proId
     * @return
     */
    Integer delete(String devTpId, String proId);

    /**
     * 编辑页查询
     * @param proId
     * @return
     */
    List<Map<String, Object>> selectBusFixedParamList(String proId);

    /**
     * 设备页查询
     * @param devNum
     * @param proId
     * @return
     */
    List<BusFixedParam> queryBusFixedParamList(String devNum, String proId);

}
