package org.rcisoft.business.manage.service;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.manage.vo.BusLibraryParamList;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:30.
 */
public interface BusLibraryParamService {

    /**
    * 保存
    * @return
    */
    PersistModel save(BusLibraryParamList busLibraryParamList);

    /**
    * 删除
    * @return
    */
     PersistModel delete(String devNum);

    /**
    * 修改
    * @return
    */
    PersistModel merge(BusLibraryParamList busLibraryParamList);

    List<Map<String,Object>> queryLibraryParamByDev(String devNum);

    /**
     * 根据dev_num删除bus_library_param
     * 根据dev_num删除bus_param_library
     * 根据dev_num删除bus_energy_plan
     * 根据dev_num删除bus_energyplan_t
     * 根据dev_num删除bus_energyplan_v
     * 保存bus_library_param参数库模板
     * @param busLibraryParamList
     * @return
     */
    Integer saveBusLibraryParam(BusLibraryParamList busLibraryParamList);

}
