package org.rcisoft.business.system.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Created by JiChao on 2018/7/4.
 * 所有设备的开启状态
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ParamStatus {

    // 设备编号对应的表具编号 13388062265_power_ct01
    private String devNum;
    // 电量参数
    private String param;
    // 设备名称
    private String devNm;
    // 开关状态
    private Integer status;
    // 用来截取电量 13388062265_power_ct01 -> power_ct01
    private String proId;
    // 需要对比的数值
    private Object value;

}
