package org.rcisoft.business.device.report.service;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Created by JiChao on 2018/5/3.
 */
public interface ReportService {

    /**
     * 下载选定日期的设备报表
     * @param response
     * @param proId
     * @param year
     * @param month
     * @param day
     */
    void download(HttpServletResponse response, String proId, Integer year, Integer month, Integer day);

    /**
     * 根据时间区间下载气温信息
     * @param response
     * @param proId
     * @param start
     * @param end
     */
    void downloadTemperature(HttpServletResponse response, String proId, String start, String end);

    /**
     * 得到存在的文件名称
     * @param proId
     * @param year
     * @param month
     * @return
     */
//    List<Integer> getExistFiles(String proId, Integer year, Integer month);

}
