package org.rcisoft.business.mainte.energyplan.service.impl;

import org.rcisoft.business.mainte.energyplan.dao.BusPushRecordRepository;
import org.rcisoft.business.mainte.energyplan.entity.BusPushRecord;
import org.rcisoft.business.mainte.energyplan.service.BusPushRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * Created by JiChao on 2018/6/19.
 */
@Service
public class BusPushRecordServiceImpl implements BusPushRecordService {

    @Autowired
    private BusPushRecordRepository busPushRecordRepository;

    @Override
    public List<BusPushRecord> queryAll(String proId) {
        Example example = new Example(BusPushRecord.class);
        Example.Criteria criteria = example.createCriteria();
        criteria.andEqualTo("proId", proId);
        example.orderBy("TM DESC");
        return busPushRecordRepository.selectByExample(example);
    }

    @Override
    public Integer add(BusPushRecord busPushRecord) {
        return busPushRecordRepository.insert(busPushRecord);
    }
}
