package org.rcisoft.business.mainte.fault.service;

import org.rcisoft.business.mainte.fault.entity.BusDeviceFault;
import org.rcisoft.business.mainte.fault.vo.BusDeviceFaultVo;

import java.util.List;

/**
 * Created by  on 2018-4-17 11:19:46.
 */
public interface BusDeviceFaultService {

    /**
     * 故障次数
     * @param proId
     * @param year
     * @param month
     * @return
     */
    List<Integer> statFault(String proId, String year, String month);

    /**
     * 故障统计列表
     * @param proId
     * @param year
     * @param month
     * @return
     */
    List<BusDeviceFaultVo> queryFaultList(String proId, String year, String month);

    /**
     * 错误参数存储，保存前先查询，如果已经有记录则不保存
     * @param saveList
     * @return
     */
    Integer saveFault(List<BusDeviceFault> saveList);

}
