package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.manage.entity.BusDevicetpParam;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-5-2 16:09:29.
*/
@Repository
public interface BusDevicetpParamRepository extends BaseMapper<BusDevicetpParam> {

    @Select("<script>select p.PARAM param,b.P_MIN min,b.P_MAX max,SYMBOL symbol,b.FLAG flag,b.FAULT_CONTENT content " +
            "from bus_devicetp_param b,bus_device_param p " +
            "where b.PARAM_CODE=p.PARAM_CODE and p.DEV_NUM=#{devNum} and b.P_SOURCE='1'</script>")
    @ResultType(java.util.Map.class)
    List<Map<String, Object>> selectFault(@Param("devNum") String devNum);
}

