package org.rcisoft.business.manage.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created by JiChao on 2018/5/31.
 */
public interface EnergyEmissionPlanService {

    /**
     * 下载模板文件
     * @param request
     * @param response
     */
    void downloadExcel(HttpServletRequest request, HttpServletResponse response);

    /**
     * 上传模板文件
     * @param file
     * @param proId
     * @return
     */
    Integer uploadExcel(MultipartFile file, String proId);

    /**
     * 判断是否上传过
     * @param proId
     * @return
     */
    Integer checkExcel(String proId);

}
